package cn.org.bjca.trust.push.kit

import android.content.Context
import cn.org.bjca.trust.push.message.callback.CallbackListener
import cn.org.bjca.trust.push.message.msg.Message

interface SdkInterface {
    /**
     * 注册设备
     */
    fun register(userId: String)
    fun unregister(context: Context, userId: String)

    /**
     * 消息相关
     */
    fun setMsgCallback(callback: CallbackListener)
    fun sendTextMessage(toUserId:String, msg: String)
}